Main Page Groups Namespaces

# sigc::functor_trait< T_functor, I_derives_functor_base > Struct Template Reference

List of all members.

## Public Types
typedef void | result_type
typedef T_functor | functor_type

### template <class T_functor, bool I_derives_functor_base = is_base_and_derived<functor_base,T_functor>::value>
struct sigc::functor_trait< T_functor, I_derives_functor_base >

## Member Typedef Documentation

template <class T_functor, bool I_derives_functor_base = is_base_and_derived<functor_base,T_functor>::value>
typedef T_functor sigc::functor_trait<T_functor, I_derives_functor_base>::functor_type

template <class T_functor, bool I_derives_functor_base = is_base_and_derived<functor_base,T_functor>::value>
typedef void sigc::functor_trait<T_functor, I_derives_functor_base>::result_type

The documentation for this struct was generated from the following file:

- functor_trait.h